import { BaseOpenApiV3_1ConverterNodeWithExample, } from "../../../BaseOpenApiV3_1Converter.node";
import { wrapNullable } from "../../../utils/wrapNullable";
export class NullConverterNode extends BaseOpenApiV3_1ConverterNodeWithExample {
    displayName;
    shape;
    constructor(args) {
        super(args);
        this.safeParse();
    }
    parse() {
        this.displayName = this.input.title;
    }
    convert() {
        return wrapNullable({
            type: "alias",
            value: {
                type: "unknown",
                displayName: this.displayName,
            },
        });
    }
    example() {
        return null;
    }
}
